%define oname pwlib

Name: libpw
Version: 1.10.10
Release: alt2
Serial: 1

Summary: Portable Windows Libary
Summary(ru_RU.KOI8-R):  Windows-

License: GPL
Group: System/Libraries
Url: http://ekiga.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

#Source: http://snapshots.ekiga.net/cvs/%oname-cvs.tar.bz2
#Source: http://www.ekiga.org/admin/downloads/latest/sources/sources/%oname-%version.tar.bz2
Source: ftp://ftp.gnome.org/pub/gnome/sources/pwlib/1.10/%oname-%version.tar.bz2

Patch: libpw.make.patch

# Automatically added by buildreq on Thu Oct 16 2008
BuildRequires: flex gcc-c++ libSDL-devel libXext-devel libalsa-devel libavc1394-devel libcom_err-devel libdc1394-devel libdv-devel libexpat-devel libldap-devel libssl-devel

BuildPreReq: bison
BuildPreReq: libexpat-devel > 1.95.6-alt1

Provides: pwlib
Obsoletes: libpwlib

%description
PWLib is a moderately large class library that has its genesis many
years ago asa method to product applications to run on both Microsoft
Windows and Unix X-Window systems. It also was to have a Macintosh
port as well but this never eventeated. Unfortunately this package
contains no GUI code.

%description -l ru_RU.KOI8-R
PWLib --     ,  
      asa  , 
  Microsoft Windows,    Unix- X-Window.  
     Macintosh,     .
 ,       
.

%package devel
Summary: Portable Windows Libary development files
Summary(ru_RU.KOI8-R):       
Group: Development/C
Requires: %name = 1:%version-%release
Obsoletes: libpwlib-devel

%description devel
Header files and libraries for developing applications that use pwlib.

%description devel -l ru_RU.KOI8-R
      ,  pwlib.

%package plugins
Summary: Main plugins for pwlib
Group: System/Libraries
Requires: %name = %version-%release

%description plugins
This package contains the oss, alsa and v4l plugins for pwlib

%package plugins-dc
Summary: Dc plugin for pwlib
Group: System/Libraries
Requires: %name = %version-%release

%description plugins-dc
This package contains the dc plugin for pwlib

%package plugins-avc
Summary: AVC plugin for pwlib
Group: System/Libraries
Requires: %name = %version-%release

%description plugins-avc
This package contains the AVC plugin for pwlib

%prep
%setup -q -n %oname-%version
%patch

%build
# Fature since gcc3.4
%add_optflags -fno-unit-at-a-time
%configure \
	--enable-plugins --enable-rtti \
    --enable-v4l2 --enable-alsa
# enable only? (see configure --help)
#	--enable-openh323 --enable-opal 
%make_build
# optshared OPTCCFLAGS="$RPM_OPT_FLAGS"

%install
%make_install install DESTDIR=%buildroot

#fix doc perms
chmod a+r *.txt

cd %buildroot%_datadir/%oname/make
#fix PWLIBDIR
%__subst 's|\(PWLIBDIR.*\)=.*|\1= %_datadir/%oname|' ./ptbuildopts.mak
#remove unpackaged files
rm -f *.{pat,in,lib64,libname,%{oname}dir,includesdir}
# do not packing esd plugin
rm -f %buildroot/%_libdir/pwlib/devices/sound/esd_pwplugin.so

# install ptlib-config
install -d %buildroot%_bindir
ln -snf %_datadir/%oname/make/ptlib-config %buildroot%_bindir/ptlib-config

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%doc *.txt
%_libdir/lib*.so.*

%files devel
%_bindir/*
%_includedir/*
%_libdir/*.so
%_datadir/%oname/

%files plugins
%dir %_libdir/pwlib/
%dir %_libdir/%oname/devices/
%dir %_libdir/%oname/devices/sound/
%dir %_libdir/%oname/devices/videoinput/
%_libdir/%oname/devices/sound/alsa_pwplugin.so
%_libdir/%oname/devices/sound/oss_pwplugin.so
%_libdir/%oname/devices/videoinput/v4l_pwplugin.so
%_libdir/%oname/devices/videoinput/v4l2_pwplugin.so

%files plugins-dc
%_libdir/%oname/devices/videoinput/dc_pwplugin.so

%files plugins-avc
%_libdir/%oname/devices/videoinput/avc_pwplugin.so

%changelog
* Thu Oct 16 2008 Vitaly Lipatov <lav@altlinux.ru> 1:1.10.10-alt2
- update buildreq
- add build v4l2 plugin (fix eterbug #17535)

* Wed Oct 10 2007 Vitaly Lipatov <lav@altlinux.ru> 1:1.10.10-alt1
- new version 1.10.10 (with rpmrb script)

* Tue Sep 18 2007 Vitaly Lipatov <lav@altlinux.ru> 1:1.10.9-alt1
- new version 1.10.9 (with rpmrb script)

* Sat May 26 2007 Vitaly Lipatov <lav@altlinux.ru> 1:1.10.7-alt2
- fix plugins linking (fix alsa problem)

* Sat May 26 2007 Vitaly Lipatov <lav@altlinux.ru> 1:1.10.7-alt1
- new version 1.10.7 (with rpmrb script)

* Sun Mar 11 2007 Vitaly Lipatov <lav@altlinux.ru> 1:1.10.5-alt1
- new version 1.10.5 (with rpmrb script)

* Sat Feb 17 2007 Vitaly Lipatov <lav@altlinux.ru> 1:1.10.4-alt1
- stable version (1.10.4)
- add serial:1

* Thu Oct 12 2006 Vitaly Lipatov <lav@altlinux.ru> 1.11.2-alt0.1cvs20061011
- new snapshot

* Sun Jul 23 2006 Vitaly Lipatov <lav@altlinux.ru> 1.11.0-alt0.1cvs20060723
- new snapshot

* Wed Jun 07 2006 Vitaly Lipatov <lav@altlinux.ru> 1.11.0-alt0.1cvs20060603
- new snapshot

* Wed May 24 2006 Vitaly Lipatov <lav@altlinux.ru> 1.11.0-alt0.1cvs20060521
- new snapshot

* Tue May 16 2006 Vitaly Lipatov <lav@altlinux.ru> 1.11.0-alt0.1cvs20060515
- new snapshot

* Thu Apr 13 2006 Vitaly Lipatov <lav@altlinux.ru> 1.11.0-alt0.1cvs20060413
- new snapshot

* Tue Feb 28 2006 Vitaly Lipatov <lav@altlinux.ru> 1.11.0-alt0.1cvs20060228
- new snapshot
- cleanup spec

* Sat Feb 25 2006 Yuri N. Sedunov <aris@altlinux.ru> 1.11.0-alt0.1
- current cvs snapshot

* Tue Feb 14 2006 Vitaly Lipatov <lav@altlinux.ru> 1.9.3-alt1
- new version

* Sat Jan 21 2006 Vitaly Lipatov <lav@altlinux.ru> 1.9.2-alt1
- new version (release)

* Sat Jan 07 2006 Vitaly Lipatov <lav@altlinux.ru> 1.9.2-alt0.1cvs20060107
- new version (actually snapshot)

* Sat Aug 27 2005 Vitaly Lipatov <lav@altlinux.ru> 1.9.1-alt1.1
- rebuild with libraw1394.so.5

* Sun Mar 20 2005 Vitaly Lipatov <lav@altlinux.ru> 1.9.1-alt1
- new version (from FC3)

* Sun Feb 06 2005 Vitaly Lipatov <lav@altlinux.ru> 1.8.3-alt1
- new version
- update patches and spec from MDK (enable plugins)
- enable rtti (fix bug #5806)
- use a macro for ldconfig
- remove defattr from files section

* Fri May 21 2004 Vitaly Lipatov <lav@altlinux.ru> 1.6.5-alt1
- new version

* Fri Jan 02 2004 Vitaly Lipatov <lav@altlinux.ru> 1.5.2-alt1
- new version
- build with gcc3.3
- adopted some fixes from Mandrake

* Tue Apr 01 2003 Vitaly Lipatov <lav@altlinux.ru> 1.4.7-alt2
- workaround for new bison
- rebuild with new libexpat

* Tue Mar 25 2003 Vitaly Lipatov <lav@altlinux.ru> 1.4.7-alt1
- new version

* Wed Dec 04 2002 Vitaly Lipatov <lav@altlinux.ru> 1.3.11-alt3
- rename package to libpw

* Mon Dec 02 2002 Vitaly Lipatov <lav@altlinux.ru> 1.3.11-alt2
- remove packname from spec
- rename package to libpwlib

* Sun Nov 24 2002 Vitaly Lipatov <lav@altlinux.ru> 1.3.11-alt1
- spec cleanup, summary and description are translated in russian
- move ptlib from /usr/include to /usr/include/libpwlib
- all pwlib entry changed to libpwlib
- new version

* Tue Oct 08 2002 AEN <aen@altlinux.ru> 1.3.3-alt1
- new version

* Wed Mar 13 2002 AEN <aen@logic.ru> 1.2.12-alt1
- new version

* Wed Oct 10 2001 AEN <aen@logic.ru> 1.1.36-alt1
- new version

* Tue Jul 3 2001 AEN <aen@logic.ru> 1.1.33-alt1
- rebuilt for Sisyphus
- new names

* Sat Jun 23 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.33-1mdk
- 1.1.33

*  Sun Jun  3 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.1.19-5mdk
- Add patch to fix build on newer gccs.

* Fri Mar 23 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1.19-4mdk
- PPC: build with gcc
- Requires: %%version-%%release and not only %%version

* Mon Jan 22 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1.19-3mdk
- Fix build on PPC
- Bzip2 sources

* Sun Jan 21 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1.19-2mdk
- Fix %%changelog to allow automatic rebuild
- Add description for SRPM package

* Mon Jan 15 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.19-1mdk
- first Linux-Mandrake version

# Dadou - 1.1.19-2mdk - Don't uncomment lines below or you'll break automatic
#                       rebuild
#* %%date PLD Team <pld-list@pld.org.pl>
#All persons listed below can be reached at <cvs_login>@pld.org.pl

#$Log: pwlib.spec,v $
#Revision 1.11  2001/01/11 21:42:36  waszi
#- fixed sed invocation

#Revision 1.10  2001/01/11 14:36:57  jajcus
#- some typos

#Revision 1.9  2001/01/10 14:53:33  jajcus
#- %%{debug} switch handling fixed

#Revision 1.8  2001/01/10 14:48:15  jajcus
#- Release: alt1
#- library names changed (we don't need sytem type and such in library name)
#- *.mak files changed so apps compilations won't try to build pwlib
#- %%{debug} macro used together with pwlib's building system
#- only dynamically-linked version of asnparser is built

#Revision 1.7  2001/01/08 09:50:13  kloczek
#- release 2.

#Revision 1.6  2001/01/06 11:08:13  jajcus
#- these are not X11 libraries

#Revision 1.5  2001/01/04 19:50:01  kloczek
#- small simplifications in %install.

#Revision 1.4  2001/01/04 19:31:42  jajcus
#- prefix changed to /usr, as the sources don't contain any GUI code

#Revision 1.3  2001/01/04 12:48:11  jajcus
#- while installing update *.mak files

#Revision 1.2  2001/01/04 10:40:49  jajcus
#- *.mak files are needed in -devel package

#Revision 1.1  2001/01/04 09:46:14  jajcus
#- initial spec
